Bug 1592475 - glibc headers: add ipc STAT_ANY constants
Summary: glibc headers: add ipc STAT_ANY constants
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.6
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Arjun Shankar
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks: 1643040
TreeView+ depends on / blocked
 
Reported: 2018-06-18 15:25 UTC by Joe Lawrence
Modified: 2019-08-06 12:49 UTC (History)
12 users (show)

Fixed In Version: glibc-2.17-272.el7
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 12:49:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1579402 None None None 2019-08-27 14:17:59 UTC
Red Hat Product Errata RHSA-2019:2118 None None None 2019-08-06 12:49:33 UTC

Internal Links: 1579402

Description Joe Lawrence 2018-06-18 15:25:49 UTC
Description of problem:
Linux 4.17 added _ANY variants to the SHM_STAT, SEM_STAT, and MSG_STAT ipc command constants.  Those kernel commits have been requested to be backported to RHEL-7.6 (bz1579402) and as such, would require an accompanying glibc-headers change.

Additional info:
These constants have already been added to the upstream glibc project with the following commits:

  f2857da7cdb6 Add SHM_STAT_ANY from Linux 4.17 to bits/shm.h.
  176c7fee517c Add SEM_STAT_ANY from Linux 4.17 to bits/sem.h.
  86bf0019ed9c Add MSG_STAT_ANY from Linux 4.17 to bits/msq.h.

Thanks, --- Joe

Comment 14 Arne Arnold 2018-07-11 01:13:11 UTC
Hi colleagues,

fine with me for the reasons mentioned above (build vs. runtime).

Arne

Comment 16 Sergey Kolosov 2019-06-10 09:54:04 UTC
Verified,
glibc-2.17-272.el7 contains corresponding SHM_STAT_ANY, SEM_STAT_ANY, and MSG_STAT_ANY ipc command constants.

Comment 18 errata-xmlrpc 2019-08-06 12:49:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2118


Note You need to log in before you can comment on or make changes to this bug.